## libkcddb 17.08.3

=== CMakeLists.txt ===
project(libkcddb)

cmake_minimum_required(VERSION 2.8.12)

# ECM setup
include(FeatureSummary)
find_package(ECM 5.24.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
set(CMAKE_MODULE_PATH "${ECM_MODULE_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMPackageConfigHelpers)
include(ECMGenerateHeaders)

set(PROJECT_VERSION "16.08.0")
set(KF5_DEP_VERSION "5.24.0") # handled by release scripts
set(REQUIRED_QT_VERSION 5.4.0)

find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Network Widgets)
find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS Config DocTools Codecs I18n KIO WidgetsAddons)

ecm_setup_version("5.0.0"
    VARIABLE_PREFIX KCDDB
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kcddb_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5CddbConfigVersion.cmake"
    SOVERSION 5
)

find_package(MusicBrainz5)
set_package_properties(MusicBrainz5 PROPERTIES
   DESCRIPTION "Music metadata lookup for KDE multimedia applications through libkcddb. You need version 5.x of libmusicbrainz"
   URL "http://www.musicbrainz.org"
   TYPE OPTIONAL
   PURPOSE "A library that provides access to metadata lookup on the MusicBrainz server")

if(MUSICBRAINZ5_FOUND)
    set(HAVE_MUSICBRAINZ5 1)
else()
    set(HAVE_MUSICBRAINZ5 0)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-musicbrainz.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-musicbrainz.h )

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})

add_subdirectory(kcmcddb)
add_subdirectory(libkcddb)

option(BUILD_TESTING "Build test" OFF)
if(BUILD_TESTING)
    find_package(Qt5Test REQUIRED)
    add_subdirectory(tests)
endif()

feature_summary(WHAT PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5Cddb")
ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5CddbConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5CddbConfig.cmake"
                              INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5CddbConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5CddbConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT
    KF5CddbTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF5CddbTargets.cmake
    NAMESPACE KF5::
    COMPONENT Devel
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/kcddb_version.h"
    DESTINATION "${KF5_INCLUDE_INSTALL_DIR}"
    COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== kcmcddb/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="libkcddb")

add_subdirectory(doc)

ki18n_wrap_ui(ui_sources cddbconfigwidget.ui)

add_library(kcm_cddb MODULE
    cddbconfigwidget.cpp
    kcmcddb.cpp
    ${ui_sources})

set_source_files_properties(cddbconfigwidget.cpp PROPERTIES OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/ui_cddbconfigwidget.h)

target_link_libraries(kcm_cddb PRIVATE
    KF5::ConfigWidgets
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::WidgetsAddons
    KF5::Cddb
)

install(TARGETS kcm_cddb DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES libkcddb.desktop  DESTINATION  ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
libkcddb (4:17.08.3-3+rb1) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 19 Jan 2021 14:22:39 +0800

libkcddb (4:17.08.3-3) unstable; urgency=medium

  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Dec 2017 17:24:36 +0100

libkcddb (4:17.08.3-2) unstable; urgency=medium

  * Upload to unstable.
  * Add symbols files for libkf5cddb5, and libkf5cddbwidgets5.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Dec 2017 14:07:44 +0100

libkcddb (4:17.08.3-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (17.08.1):
    - switches to Qt5/KF5 (Closes: #875013)
  * Bump Standards-Version to 4.0.1.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.0.

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove extra kde-l10n breaks/replaces, already included in ${kde-l10n:all}.
  * Remove breaks/replaces on old libkf5cddb5, since they were never part of
    the Debian archive.
  * Invoke dh_install with --fail-missing, so there is no risk of forgetting
    files.
  * Tighten inter-packages dependencies.

 -- Pino Toscano <pino@debian.org>  Mon, 18 Dec 2017 10:35:30 +0100

libkcddb (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:04:44 +0000

libkcddb (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:40:21 +0000

libkcddb (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:24:18 +0000

libkcddb (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:23:57 +0000

libkcddb (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:25:15 +0000

libkcddb (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:06:35 +0000

libkcddb (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:50:46 +0000

libkcddb (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:03:12 +0000

libkcddb (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:23:34 +0000

libkcddb (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 18 May 2016 18:45:42 +0200

=== debian/control ===
Source: libkcddb
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               libkf5codecs-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5doctools-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5kio-dev (>= 5.24.0~),
               libkf5widgetsaddons-dev (>= 5.24.0~),
               libmusicbrainz5-dev (>= 5.1.0+git20150707~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4.0~),
Standards-Version: 4.1.3
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkcddb.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkcddb.git

Package: kde-config-cddb
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: CDDB retrieval configuration
 This package contains a configuration module for tweaking CDDB retrieval
 settings for applications using the libkcddb library from the KDE Multimedia
 Platform.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddb-dev
Section: libdevel
Architecture: any
Depends: libkf5cddb5 (= ${binary:Version}),
         libkf5cddbwidgets5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends},
Description: CDDB library for KDE Platform (development)
 The KDE Compact Disc DataBase library provides an API for KDE applications
 to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddb5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: CDDB library for KDE Platform (runtime)
 The KDE Compact Disc DataBase library provides an API for applications using
 the KDE Platform to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddbwidgets5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CDDB library for KDE Platform (widgets)
 The KDE Compact Disc DataBase library provides an API for applications using
 the KDE Platform to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-10~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_install:
	$(overridden_command) --fail-missing

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkcddb-dbg (<= 4:15.12.3-0ubuntu1)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus,
Restrictions: build-needed

## libkcddb 17.12.3

=== debian/changelog ===
libkcddb (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:32:22 +0000

libkcddb (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:02:05 +0000

libkcddb (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Package priority 'extra' is depreciated in favour of 'optional'
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:11:50 +0000

=== debian/control ===
Source: libkcddb
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libmusicbrainz5-dev (>= 5.1.0+git20150707~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkcddb
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkcddb

Package: libkf5cddb5
Section: libs
Architecture: any
Depends: libkf5cddb-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: CDDB library for KDE Platform (runtime)
 The KDE Compact Disc DataBase library provides an API for applications using
 the KDE Platform to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddb-data
Section: libs
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: CDDB library for KDE Platform - data files
 The KDE Compact Disc DataBase library provides an API for applications using
 the KDE Platform to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddbwidgets5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CDDB library for KDE Platform (runtime)
 The KDE Compact Disc DataBase library provides an API for applications using
 the KDE Platform to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddb-dev
Section: libdevel
Architecture: any
Depends: libkf5cddb5 (= ${binary:Version}),
         libkf5cddbwidgets5 (= ${binary:Version}),
         ${misc:Depends}
Description: CDDB library for KDE Platform (development)
 The KDE Compact Disc DataBase library provides an API for KDE applications
 to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

Package: kde-config-cddb
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: CDDB retrieval configuration
 This package contains a configuration module for tweaking CDDB retrieval
 settings for applications using the libkcddb library from the KDE Multimedia
 Platform.
 .
 This package is part of the KDE multimedia module.

Package: libkcddb-dbg
Section: debug
Architecture: any
Priority: optional
Depends: libkf5cddb5 (= ${binary:Version}), ${misc:Depends}
Breaks: kdemultimedia-dbg
Replaces: kdemultimedia-dbg
Description: debugging symbols for libkcddb
 This package contains debugging files used to investigate problems with
 the KCDDB library.
 .
 This package is part of the KDE multimedia module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_shlibdeps:
	$(overridden_command) $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=libkcddb-dbg

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11,
         breeze-icon-theme, kinit
Restrictions: build-needed

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/libkcddb-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/libkcddb-([\d.]+).tar.xz

## libkcddb 18.04.3

=== debian/changelog ===
libkcddb (4:18.04.3-0ubuntu5) cosmic; urgency=medium

  * Add kubuntu_disable_failing_network_tests.diff

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 20 Sep 2018 11:14:34 +0100

libkcddb (4:18.04.3-0ubuntu4) cosmic; urgency=medium

  * Add XDG env vars to testsuite autopkgtest

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 17 Sep 2018 18:39:53 +0100

libkcddb (4:18.04.3-0ubuntu3) cosmic; urgency=medium

  * Add isolation-container to testsuite restrictions
  * debian/tests/testsuite: always create a HOME temporary directory

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Sep 2018 08:23:08 +0100

libkcddb (4:18.04.3-0ubuntu2) cosmic; urgency=medium

  * Add upstream_fix_tests.diff

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 Sep 2018 10:50:26 +0100

libkcddb (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:22:24 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libmusicbrainz5-dev (>= 5.1.0+git20150707~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkcddb
@@ -60,7 +60,7 @@
 Architecture: any
 Depends: libkf5cddb5 (= ${binary:Version}),
          libkf5cddbwidgets5 (= ${binary:Version}),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: CDDB library for KDE Platform (development)
  The KDE Compact Disc DataBase library provides an API for KDE applications
  to fetch and submit audio CD information over the Internet.

=== debian/tests/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Depends: @, @builddeps@, build-essential,
          xvfb, xauth, dbus-x11,
          breeze-icon-theme, kinit
-Restrictions: build-needed
+Restrictions: build-needed, isolation-container
 
 Tests: acc
 Depends: @,

## libkcddb 18.12.3

=== debian/changelog ===
libkcddb (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:34:12 +0000

libkcddb (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:21:14 +0000

libkcddb (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:14:50 +0000

libkcddb (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:53:06 +0000

libkcddb (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * debian/patches: Drop upstream_fix_tests.diff
  * Merge Debian changes. Remaining changes:
    - d/patches: kubuntu_disable_failing_network_tests.diff
    - d/patches: libmusicbrainz5cc.patch
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Data package for translations.
    - d/tests: Keep our test setup.
    - Kubuntu Vcs fields.
    - Bumped build deps.
    - Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 13 Dec 2018 16:34:42 +0000

=== debian/control ===
Source: libkcddb
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libmusicbrainz5-dev (>= 5.1.0+git20150707~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 4.1.3
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkcddb
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkcddb

Package: kde-config-cddb
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: CDDB retrieval configuration
 This package contains a configuration module for tweaking CDDB retrieval
 settings for applications using the libkcddb library from the KDE Multimedia
 Platform.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddb-data
Section: libs
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: CDDB library for KDE Platform - data files
 The KDE Compact Disc DataBase library provides an API for applications using
 the KDE Platform to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddb-dev
Section: libdevel
Architecture: any
Depends: libkf5cddb5 (= ${binary:Version}),
         libkf5cddbwidgets5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends},
Description: CDDB library for KDE Platform (development)
 The KDE Compact Disc DataBase library provides an API for KDE applications
 to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddb5
Section: libs
Architecture: any
Depends: libkf5cddb-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: CDDB library for KDE Platform (runtime)
 The KDE Compact Disc DataBase library provides an API for applications using
 the KDE Platform to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddbwidgets5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CDDB library for KDE Platform (widgets)
 The KDE Compact Disc DataBase library provides an API for applications using
 the KDE Platform to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_install:
	$(overridden_command) --fail-missing

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkcddb-dbg (<= 4:15.12.3-0ubuntu1)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11,
         breeze-icon-theme, kinit
Restrictions: build-needed, isolation-container

## libkcddb 19.04.3

=== debian/changelog ===
libkcddb (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:19:51 +0100

libkcddb (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:14:18 +0100

libkcddb (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:03:24 +0100

libkcddb (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:49:06 +0100

## libkcddb 19.08.1

=== debian/changelog ===
libkcddb (4:19.08.1-1) unstable; urgency=medium

  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Use https for Format in copyright.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Add Multi-Arch annotations.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Drop the migration from libkcddb-dbg, no more needed after two Debian
    stable releases.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Update symbols files.
  * Bump Standards-Version to 4.4.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 29 Sep 2019 09:32:29 +0200

=== debian/control ===
Source: libkcddb
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.24.0~),
               libkf5codecs-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5doctools-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5kio-dev (>= 5.24.0~),
               libkf5widgetsaddons-dev (>= 5.24.0~),
               libmusicbrainz5-dev (>= 5.1.0+git20150707~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4.0~),
Standards-Version: 4.4.0
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkcddb
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkcddb.git

Package: kde-config-cddb
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: CDDB retrieval configuration
 This package contains a configuration module for tweaking CDDB retrieval
 settings for applications using the libkcddb library from the KDE Multimedia
 Platform.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddb-dev
Section: libdevel
Architecture: any
Depends: libkf5cddb5 (= ${binary:Version}),
         libkf5cddbwidgets5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends},
Description: CDDB library for KDE Platform (development)
 The KDE Compact Disc DataBase library provides an API for KDE applications
 to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddb5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: CDDB library for KDE Platform (runtime)
 The KDE Compact Disc DataBase library provides an API for applications using
 the KDE Platform to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddbwidgets5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CDDB library for KDE Platform (widgets)
 The KDE Compact Disc DataBase library provides an API for applications using
 the KDE Platform to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

## libkcddb 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,12 @@
+cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
 project(libkcddb)
 
-cmake_minimum_required(VERSION 2.8.12)
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.24.0  NO_MODULE)
-set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
+set(KF5_DEP_VERSION "5.24.0") # handled by release scripts
+find_package(ECM ${KF5_DEP_VERSION}  NO_MODULE)
+set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 set(CMAKE_MODULE_PATH "${ECM_MODULE_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 include(KDEInstallDirs)
@@ -17,7 +18,6 @@
 include(ECMGenerateHeaders)
 
 set(PROJECT_VERSION "16.08.0")
-set(KF5_DEP_VERSION "5.24.0") # handled by release scripts
 set(REQUIRED_QT_VERSION 5.4.0)
 
 find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Network Widgets)
@@ -44,7 +44,6 @@
 endif()
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-musicbrainz.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-musicbrainz.h )
-
 include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})
 
 add_subdirectory(kcmcddb)

=== kcmcddb/doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kcontrol/cddbretrieval5)

=== debian/changelog ===
libkcddb (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:16:30 +0000

libkcddb (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:25:42 +0000

libkcddb (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 15:00:01 +0000

libkcddb (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:53:42 +0000

libkcddb (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.2)
  * New upstream release (19.08.3)
  * Mark libkf5cddb-data 'Multi-Arch: foreign'

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:38:17 +0000

libkcddb (4:19.08.1-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/patches: libmusicbrainz5cc.patch
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Nov 2019 08:31:12 +0000

libkcddb (4:19.04.3-0ubuntu2) focal; urgency=medium

  * Sync Debian test changes:
    - Drop the 'testsuite' autopkgtest, as it does not test the installed
      packages.
    - Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
      are not run at build time anyway.
  * Drop kubuntu_disable_failing_network_tests.diff

 -- Rik Mills <rikmills@kde.org>  Mon, 28 Oct 2019 22:56:20 +0000

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
                qtbase5-dev (>= 5.4.0~),
 Standards-Version: 4.4.0
 Homepage: http://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkcddb
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkcddb.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkcddb
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkcddb
 
 Package: kde-config-cddb
 Architecture: any
@@ -31,6 +31,19 @@
  This package contains a configuration module for tweaking CDDB retrieval
  settings for applications using the libkcddb library from the KDE Multimedia
  Platform.
+ .
+ This package is part of the KDE multimedia module.
+
+Package: libkf5cddb-data
+Section: libs
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
+Description: CDDB library for KDE Platform - data files
+ The KDE Compact Disc DataBase library provides an API for applications using
+ the KDE Platform to fetch and submit audio CD information over the Internet.
  .
  This package is part of the KDE multimedia module.
 
@@ -51,9 +64,9 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: ${kde-l10n:all},
-Replaces: ${kde-l10n:all},
+Depends: libkf5cddb-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: CDDB library for KDE Platform (runtime)
  The KDE Compact Disc DataBase library provides an API for applications using
  the KDE Platform to fetch and submit audio CD information over the Internet.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-10~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBUILD_TESTING=OFF

override_dh_install:
	$(overridden_command) --fail-missing

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## libkcddb 20.08.1

=== debian/changelog ===
libkcddb (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:00:47 +0100

libkcddb (4:20.08.0-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Breaks/Replaces for Kubuntu version history.

 -- Rik Mills <rikmills@kde.org>  Sun, 23 Aug 2020 07:51:39 +0100

libkcddb (4:20.08.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Drop libkf5cddbwidgets5, as it was removed upstream.

 -- Pino Toscano <pino@debian.org>  Sat, 15 Aug 2020 09:26:13 +0200

libkcddb (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Drop libkf5cddbwidgets5 package, as unused and no longer built.

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:52:31 +0100

libkcddb (4:20.04.3-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Breaks/Replaces for Kubuntu version history.

 -- Rik Mills <rikmills@kde.org>  Sun, 09 Aug 2020 16:10:29 +0100

libkcddb (4:20.04.3-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - explicitly add gettext
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5, and pkgkde_symbolshelper addons
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks,
      and the strict shlibs handling
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
    - stop passing --fail-missing to dh_missing, as it is the default now
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Aug 2020 16:40:16 +0200

libkcddb (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:43:04 +0100

libkcddb (4:20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:24:23 +0100

libkcddb (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:41:30 +0100

libkcddb (4:20.04.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 May 2020 10:27:25 +0100

=== debian/control ===
Source: libkcddb
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.24.0~),
               gettext,
               libkf5codecs-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5doctools-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5kio-dev (>= 5.24.0~),
               libkf5widgetsaddons-dev (>= 5.24.0~),
               libmusicbrainz5-dev (>= 5.1.0+git20150707~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4.0~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkcddb
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkcddb

Package: kde-config-cddb
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: CDDB retrieval configuration
 This package contains a configuration module for tweaking CDDB retrieval
 settings for applications using the libkcddb library from the KDE Multimedia
 Platform.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddb-dev
Section: libdevel
Architecture: any
Depends: libkf5cddb5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends},
Description: CDDB library for KDE Platform (development)
 The KDE Compact Disc DataBase library provides an API for KDE applications
 to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddb5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5cddb-data (<< 4:20.04.3-1~), ${kde-l10n:all},
Replaces: libkf5cddb-data (<< 4:20.04.3-1~), ${kde-l10n:all},
Description: CDDB library for KDE Platform (runtime)
 The KDE Compact Disc DataBase library provides an API for applications using
 the KDE Platform to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-10~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_gencontrol: l10npkgs_firstversion_ok libpkgs_gen_strict_local_shlibs
	dh_gencontrol

## libkcddb 20.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,7 +33,7 @@
 find_package(MusicBrainz5)
 set_package_properties(MusicBrainz5 PROPERTIES
    DESCRIPTION "Music metadata lookup for KDE multimedia applications through libkcddb. You need version 5.x of libmusicbrainz"
-   URL "http://www.musicbrainz.org"
+   URL "https://www.musicbrainz.org"
    TYPE OPTIONAL
    PURPOSE "A library that provides access to metadata lookup on the MusicBrainz server")

=== debian/changelog ===
libkcddb (4:20.12.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + kde-config-cddb, libkf5cddb-dev: Add Multi-Arch: same.

  [ Aurélien COUDERC ]
  * New upstream release (20.12.0).
  * Update build dependencies according to the upstream build system:
    - cmake >= 3.5
  * Drop kde-l10n migration rules, not needed anymore after 2 stable releases.
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 04 Jan 2021 23:34:25 +0100

=== debian/control ===
Source: libkcddb
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.24.0~),
               gettext,
               libkf5codecs-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5doctools-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5kio-dev (>= 5.24.0~),
               libkf5widgetsaddons-dev (>= 5.24.0~),
               libmusicbrainz5-dev (>= 5.1.0+git20150707~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/multimedia/libkcddb
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkcddb
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkcddb.git

Package: kde-config-cddb
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: CDDB retrieval configuration
 This package contains a configuration module for tweaking CDDB retrieval
 settings for applications using the libkcddb library from the KDE Multimedia
 Platform.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddb-dev
Section: libdevel
Architecture: any
Depends: libkf5cddb5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends},
Multi-Arch: same
Description: CDDB library for KDE Platform (development)
 The KDE Compact Disc DataBase library provides an API for KDE applications
 to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddb5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CDDB library for KDE Platform (runtime)
 The KDE Compact Disc DataBase library provides an API for applications using
 the KDE Platform to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

## libkcddb 20.12.3

=== debian/changelog ===
libkcddb (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:27:55 +0000

libkcddb (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 10:01:21 +0000

libkcddb (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:14:54 +0000

libkcddb (4:20.12.0-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - libkf5cddb5 Breaks/Replaces libkf5cddb-data (<< 4:20.04.3-1~)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Jan 2021 06:58:33 +0000

libkcddb (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:34:32 +0000

libkcddb (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:58:36 +0000

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,8 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/multimedia/libkcddb
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkcddb
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkcddb.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkcddb
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkcddb
 
 Package: kde-config-cddb
 Architecture: any
@@ -52,6 +52,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5cddb-data (<< 4:20.04.3-1~)
+Replaces: libkf5cddb-data (<< 4:20.04.3-1~)
 Description: CDDB library for KDE Platform (runtime)
  The KDE Compact Disc DataBase library provides an API for applications using
  the KDE Platform to fetch and submit audio CD information over the Internet.

## libkcddb 21.08.0

=== debian/changelog ===
libkcddb (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:34:24 +0900

libkcddb (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 14:19:41 +0900

=== debian/control ===
Source: libkcddb
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.80.0~),
               gettext,
               libkf5codecs-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.80.0~),
               libkf5doctools-dev (>= 5.80.0~),
               libkf5i18n-dev (>= 5.80.0~),
               libkf5kio-dev (>= 5.80.0~),
               libkf5widgetsaddons-dev (>= 5.80.0~),
               libmusicbrainz5-dev (>= 5.1.0+git20150707~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/multimedia/libkcddb
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkcddb
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkcddb.git

Package: kde-config-cddb
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: CDDB retrieval configuration
 This package contains a configuration module for tweaking CDDB retrieval
 settings for applications using the libkcddb library from the KDE Multimedia
 Platform.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddb-dev
Section: libdevel
Architecture: any
Depends: libkf5cddb5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.0~),
         ${misc:Depends},
Multi-Arch: same
Description: CDDB library for KDE Platform (development)
 The KDE Compact Disc DataBase library provides an API for KDE applications
 to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddb5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CDDB library for KDE Platform (runtime)
 The KDE Compact Disc DataBase library provides an API for applications using
 the KDE Platform to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

## libkcddb 21.08.1

=== debian/changelog ===
libkcddb (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:39:56 +0100

libkcddb (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:09:32 +0100

libkcddb (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:03:51 +0100

libkcddb (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:39:05 +0100

libkcddb (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:50:47 +0100

libkcddb (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:48:06 +0100

libkcddb (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:14:26 +0100

libkcddb (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:45:40 +0100
